import { OnInit, ElementRef, Renderer2 } from '@angular/core';
export declare type NbJustify = 'start' | 'end' | 'center' | 'space-around' | 'space-between';
export declare type NbAlign = 'top' | 'middle' | 'bottom';
export declare type NbType = 'flex' | null;
export declare class NbRowDirective implements OnInit {
    private _elementRef;
    private _renderer;
    _classList: Array<any>;
    _el: HTMLElement;
    _prefixCls: string;
    _gutter: number;
    _type: NbType;
    _align: NbAlign;
    _justify: NbJustify;
    nbType: NbType;
    nbAlign: NbAlign;
    nbJustify: NbJustify;
    nbGutter: number;
    setStyle(): void;
    setClassMap(): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
}
